#
# Non-editable dropdown combobox
#
set monthList \
    {Jan Feb Mar Apr May June \
     Jul Aug Sept Oct Nov Dec}

combobox .noneditcb -labeltext Month: \
    -editable false -items $monthList
pack .noneditcb -padx 10 -pady 10 -fill x 

#
# Editable dropdown
#
combobox .editablecb -fliparrow true \
    -popupcursor hand1 -listheight 100 \
    -items {Linux HP-UX SunOS Solaris Irix} \
    -labeltext "Operating Systems:" 
pack .editablecb -padx 10 -pady 10 -fill x 

#
# Empty editable dropdown
#
combobox .numericcb -unique true -labelpos nw \
    -validate numeric -labeltext "Numeric Combo:" 
pack .numericcb -padx 10 -pady 10 -fill x

#
# Simple combobox
#
combobox .simplecb -dropdown false -textfont 9x15 \
    -labelpos nw -labeltext "Font:" \
    -items [exec xlsfonts] -listheight 220
pack .simplecb -padx 10 -fill both -expand yes